# Feature

Introduction into feature, things to describe/questions to answer:

* What is \[feature]?
* What is the use case?
* Give examples to clarify

## Access control

### Resources and actions

<table><thead><tr><th width="357">Resource type</th><th width="111">Action</th><th>Effect</th></tr></thead><tbody><tr><td></td><td></td><td></td></tr><tr><td></td><td></td><td></td></tr></tbody></table>

***

### Examples

<details>

<summary>Example 1</summary>

`[Insert code block]`

</details>

<details>

<summary>Example 2</summary>

`[Insert code block]`

</details>

***

## Used elements

{% hint style="warning" %}
Below is a list of the different elements we use on a feature page, and the use case for them. **When using this template, make sure to delete this section including the dividing line above!**
{% endhint %}

### Headings

Headings are useful for navigation on the page you're viewing. Heading 1 and Heading 2 are shown in a small 'menu' on the right hand side of the page.

* **Heading 1**
* **Heading 2**
* **Heading 3**

### Hints

{% hint style="info" %}
**Info**
{% endhint %}

{% hint style="warning" %}
**Warning**
{% endhint %}

{% hint style="danger" %}
**Danger**
{% endhint %}

{% hint style="success" %}
**Succes**
{% endhint %}

### Code blocks

```
// Some code
```

### Tables

|   |   |   |
| - | - | - |
|   |   |   |
|   |   |   |
|   |   |   |

### Cards

<table data-view="cards"><thead><tr><th></th></tr></thead><tbody><tr><td></td></tr><tr><td></td></tr></tbody></table>

### Tabs

{% tabs %}
{% tab title="Via UI" %}
\[description of how to configure feature in the UI]
{% endtab %}

{% tab title="Via IDE" %}
\[description of how to configure feature in the codebase with an autodeployment file]
{% endtab %}
{% endtabs %}

### Stepper

{% stepper %}
{% step %}

{% endstep %}

{% step %}

{% endstep %}
{% endstepper %}

### Expandable

<details>

<summary></summary>

</details>

### Page link

{% content-ref url="/pages/D6JvlIRHbaCnp9YKfnIo" %}
[Subject](/v12/templates/feature/subject.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.valtimo.nl/v12/templates/feature.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
